// DBEngine 2.0 Custom Control Symbolic Constants
// Copyright (C) - 1993
//			by
//	Douglas A. Bebber
//  All Rights Reserved

#define None  0
#define AddPassword  1 
#define AddRecords  2
#define AppendRecord  3
#define ClearRecord  4
#define CloseTable  5
#define CopyTable  6
#define CreateIndex  7
#define CreateTable  8
#define DecryptTable  9
#define DeleteIndex  10
#define DeleteRecord  11
#define DeleteTable  12
#define EncryptTable  13
#define FindTable  14
#define FirstRecord  15
#define FlushBuffers  16
#define GetField  17
#define GetFieldName  18
#define GetFieldNumber  19
#define GetFieldType  20
#define GetRecord  21
#define GetRecordNumber  22
#define GotoLock  23
#define GotoRecord  24
#define InsertRecord  25
#define IsFieldBlank  26
#define IsRecordLocked  27
#define IsTableProtected  28
#define LastRecord  29
#define LockRecord  30
#define LockTable  31
#define NextRecord  32
#define NFields  33
#define NKeyFields  34
#define NRecords  35
#define OpenTable  36
#define PreviousRecord  37
#define PutBlank  38
#define PutField  39
#define RefreshTable  40
#define RemovePassword  41
#define RemoveRecords  42
#define RenameTable  43
#define SearchField  44
#define SearchKey  45
#define TableChanged  46
#define UnlockRecord  47
#define UnlockTable  48
#define UpdateRecord  49


// DBEngine Search Constants
#define SearchFirst  0
#define SearchNext  1
#define ClosestRecord  2

// DBEngine Table Lock Constants
#define FullLock  1
#define WriteLock  2
#define PreventWriteLock  3
#define PreventFullLock  1

// DBEngine index types
#define Primary  0
#define NonMaintainedSecondary  1
#define MaintainedSecondary  2

  